Subject: bug#14175: 24.3.50; Bad completion behavior with read-file-name-completion-ignore-case t

From: Michael Heerdegen <[email-masked]>
Date: Tue, 24 Aug 2021 17:20:51 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I can't reproduce either of these issues in Emacs 28.  Are you still
> seeing this in recent Emacs versions?

The first part is still the same (anything that followed seems to be
fixed), but after reading again the docstring of `completion-auto-help',
I think not to pop up *Completions* seem to be intended since that
completion attempt does not count as unsuccessful:

> Michael Heerdegen <[email-masked]> writes:
>
> > (setq read-file-name-completion-ignore-case t
> >       completion-auto-help t)
> >
> > In my "~/", I have, among other files,
> >
> >   lrwxrwxrwx   1 micha micha    9 Feb  3 20:00 download -> Downloads
> >   drwxr-xr-x  11 micha micha 4,0K Apr  9 15:40 Downloads
> >
> > I hit C-x d ~/Down TAB
> >
> > Emacs completes the minibuffer to
> >
> >   ~/Download
> >
> > Since this is no valid completion, it should pop up *Completions*, but
> > it doesn't (first issue).

So I think we are done here and you can close this report.

Thanks,

Michael.